image: python:latest
pages:
  stage: deploy
  script:
    - pip install mkdocs-material
    - pip install mkdocs-git-revision-date-localized-plugin
    - pip install mkdocs-git-authors-plugin
    - mkdocs build --site-dir public
  artifacts:
    paths:
      - public
  tags:
    - docker
    - ifb
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      

      
variables:
  GIT_DEPTH: 0
